Include some of the best prior Plasma wallpapers
Closed, ResolvedPublic

Description

I'd like to propose the following changes:

  • When Next gets replaced with a new wallpaper, add the old one to plasma-workspace-wallpapers
  • Encourage more KDE distros to ship with plasma-workspace-wallpapers by default
  • Add a few of the best prior Plasma wallpapers to plasma-workspace-wallpapers right now. My votes go to:

Kokkini (5.13):


Opal (5.12 and 5.11):

Cascade (5.10):

Canopée (5.9):

Details

Differential Revisions
D17780: Add Plasma wallpapers
ngraham created this task.Oct 8 2018, 3:39 AM
ngraham triaged this task as Wishlist priority.
abetts added a subscriber: abetts.Oct 8 2018, 4:07 AM

I would probably just keep the latest wallpaper and the prior one. Maybe not all the ones before.

Why not ship all default
Since 5.0

Why not ship all default
Since 5.0

Well not to put too fine a point on it, but some are better than others. :)

Zren added a subscriber: Zren.Oct 8 2018, 1:44 PM

Note: You can currently download all of them via "Get More Wallpapers". KVer uploads them all to the store. https://www.opendesktop.org/u/kenvermette/

Every wallpaper we keep increases install size by 20Mb since we ship separate pngs for all screen ratios between 4k and 1024x768. The 4k image alone is 3.2Mb.

14 * 20Mb = 280Mb in wallpapers. If we only ship the 4k image, it's still (14 * 3.2 = 45Mb).

filipf added a subscriber: filipf.EditedOct 9 2018, 12:28 PM

Yes, you don't want to add too much but otherwise this is a great idea.

I remember that Reddit users really liked the 5.10 one, I believe the discussion about their favs was in some post about a new default wallpaper or maybe when KVer asked people what they'd want to see in a new wallpaper.

EDIT: found it - https://www.reddit.com/r/kde/comments/90syno/plasma_514_wallpaper_cluster/e2sw89c/

apol added a subscriber: apol.Oct 10 2018, 2:31 PM

They are really big and will make Plasma much heavier to download.
They're all available through store.kde.org, that should be enough, no?

ngraham added a comment.EditedOct 10 2018, 3:23 PM

If we just shipped the largest size for each of them, it wouldn't amount to much more than 2 or 3 MB per wallpaper. If each one is 3.2 MB as @Zren pointed out, and we ship another four, that's an extra 12.8 MB. Which is more than 0 MB, but, I dunno, it doesn't really seem that bad to me.

Getting them using store.kde.org is unfortunately not a great user experience right now, and even if it were much better, there's a world of difference between "easily available" and "shipped by default."

Yeah there's loads of wallpapers on the KDE Store now, although to be honest if you type in something like "Plasma 5.10" you will find what you're looking for.

But even though default wallpaper selections may seem trivial, I would say this is something users do care about. It's especially new users that appreciate a nice default selection. And it's also about associating certain wallpapers with Plasma. Think about how people still remember Windows XP wallpapers, for example. With older Plasma wallpapers you already have the element of identity going for them, as well as design excellence. I think what makes sense is so include a few that have stood out. If there's a big issue with space we could remove some that are shipped by default now because if we're being honest they're not all of same quality, although I do understand that this may agitate the users who use them now and offend the author(s). But ideally if you ship a few with only the 4K version it shouldn't be a big a deal; people mostly don't burn install ISOs on CDs or DVDs anymore so that the increase in size would mess up some distro's tightly tailored-to-the-physical-media-limit size.

An idea: ship the old Elarun wallpaper as well. It's a really nice wallpaper from the legendary Nuno Pinheiro, it invokes memories, it's just 1.4 MB big and plus we are already shipping Air & Oxygen themes.

An idea: ship the old Elarun wallpaper as well. It's a really nice wallpaper from the legendary Nuno Pinheiro, it invokes memories, it's just 1.4 MB big and plus we are already shipping Air & Oxygen themes.

Agreed; that would be fantastic. I love that wallpaper. We actually ship it by default in Kubuntu 18.04 onwards (along with Dance of the Spirits, Blue Curl, and Horos).

filipf added a comment.Dec 7 2018, 7:36 PM

@ngraham and @VDG (@abetts) what do you think about incorporating this task into a bigger task of revamping the default wallpapers? In my analysis I've found that some of the current default wallpapers are visually and JPEG/PNG quality wise not necessarily the greatest. We also might not have an optimal thematic variety of wallpapers. And maybe by having this kind of a bigger task we could also generate more interest and discussion in the topic?

I just found out about the plasma-workspace-wallpaper package, which is already full of beautiful images. It might simply be a matter of putting the plasma wallpapers in there too, and encouraging more distros to ship this package by default.

Of course, it's very large, which may be the reason why more distros aren't already doing this. If so, we may want to rethink the wisdom of including versions of each image optimized for every screen resolution, which greatly increases the total size. If the size bloat resulting from this design choice makes distros not want to include the package by default, it seems like that defeats the purpose. If we only included the largest version of each image, that might improve the situation.

ngraham claimed this task.Mon, Dec 24, 5:04 PM
ngraham updated the task description. (Show Details)

I just found out about the plasma-workspace-wallpaper package, which is already full of beautiful images.

If it's these wallpapers I was actually referring to them in my last post and was thinking it would be good to improve the selection 😊

As for file sizes, wasn't it the case that the wallpapers were being wrongly resized for quite some time, which may be the reason why wallpapers got shipped in specific resolutions? That seems fixed now so it might be fine to just ship the largest version.

If it's these wallpapers I was actually referring to them in my last post and was thinking it would be good to improve the selection 😊

Feel free to add some more that you are legally able to, following the pattern of what I did in D17780. It's pretty simple.

As for file sizes, wasn't it the case that the wallpapers were being wrongly resized for quite some time, which may be the reason why wallpapers got shipped in specific resolutions? That seems fixed now so it might be fine to just ship the largest version.

Would be good to get some confirmation on this from a Plasma person (or VDG or @kvermette?) so we can learn this history and assess whether it's still needed.

ngraham moved this task from To Do to Done on the Plasma board.Sat, Jan 5, 6:18 AM
ngraham closed this task as Resolved.

Done in D17780.

ngraham moved this task from Backlog/Planned to Done on the VDG board.Sat, Jan 5, 6:19 AM
ngraham moved this task from Backlog/Planned to Done on the Breeze board.
ngraham renamed this task from Consider shipping some of the best prior Plasma wallpapers to Include some of the best prior Plasma wallpapers.Sat, Jan 5, 6:33 AM